/**
 * EntityClassDevice.java
 *
 * File generated from the medication::EntityClassDevice uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityClassDevice.
 *
 * 
 */

@XmlType(name = "EntityClassDevice")
@XmlEnum
@XmlRootElement(name = "EntityClassDevice")
public enum EntityClassDevice {
	@XmlEnumValue("DEV")
	DEV("DEV"),
	@XmlEnumValue("CER")
	CER("CER"),
	@XmlEnumValue("MODDV")
	MODDV("MODDV");
	
	private final String value;

    EntityClassDevice(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static EntityClassDevice fromValue(String v) {
        for (EntityClassDevice c: EntityClassDevice.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}